<?
    
    include './system/common.php';
    
 include './system/functions.php';
        
      include './system/user.php';
    
if($user) {

  header('location: /');
    
exit;

}

//if(mysql_num_rows(mysql_query('SELECT * FROM `ban` WHERE `ip` = \''.$_SERVER['REMOTE_ADDR'].'\'')) != 0 OR mysql_num_rows(mysql_query('SELECT * FROM `users` WHERE `ip` = \''.$_SERVER['REMOTE_ADDR'].'\'')) != 0) { header('location: /'); exit; }

     $ref = _string(_num($_GET['ref']));
$password = rand(111,999);

  if(mysql_query('INSERT INTO `users` (`login`,
                                    `password`) VALUEs ("Боец",
                                               "'.$password.'")')) {


    
    $id = mysql_insert_id();

if($ref) {

  $ref_user = mysql_query('SELECT * FROM `users` WHERE `id` = "'.$ref.'"');
  $ref_user = mysql_fetch_array($ref_user);

  if($ref_user) {
  
    mysql_query('INSERT INTO `ref` (`user`,
                                      `ho`) VALUEs ("'.$ref_user['id'].'",
                                                                "'.$id.'")');
  
  }

}
  
  $user = mysql_query('SELECT * FROM `users` WHERE `id` = "'.$id.'"');
  $user = mysql_fetch_array($user);
  
    $_g = 1000;
    $_s = 1000;
    

     mysql_query('UPDATE `users` SET `hp` = "'.($user['vit'] * 2).'",
                                     `mp` = "'.$user['mana'].'" WHERE `id` = "'.$id.'"');

     mysql_query('UPDATE `users` SET `g`  ="'.$_g.'",
                                     `s`  ="'.$_s.'" WHERE `id` = "'.$id.'"');

////////Mail 

$text = 'Добро пожаловать в игру Наследие древних! Добавь в закладки наш сайт игры http://uhero.ru. А также прочти правила. <br>
1. Нельзя просить у Администрации что либо (золото, серебро, мд и администрацию.) <br>
2. Нельзя рекламировать сторонние игры.<br>
3. Запрещено продавать персонажа. <br>
Администрация игры несет за собой право заблокировать персонажа НАВСЕГДА!<br>
Удачной игры!
'; // Текст сообщения
$time = time(); //Ничего не трогаем
$read = '0'; // Ничего не трогаем
$to = $user['id']; // Ничего не трогаем
$from = '1'; // Ид отправителя сообщения (от кого)


mysql_query("INSERT INTO `mail` SET `from` = '$from',`time` = '$time', `read` = '$read',`to`='$to',`text` = '$text'");

   mysql_query('INSERT INTO `contacts` (`user`,`ho`, `time`) VALUES (\''.$user['id'].'\',  \'1\',    \''.time().'\')');



            setCookie('id', $user['id'], time() + 86400, '/');
setCookie('password', $password, time() + 86400, '/');
    
    
      header('location: /');


////////TJErsy
  }

?>